<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2007-2010 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  - USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: pom.xml 20565 2010-11-08 11:38:20Z benoitf $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <parent>
    <groupId>org.ow2.jonas</groupId>
    <artifactId>assemblies</artifactId>
    <version>5.2.0-M3</version>
    <relativePath>../pom.xml</relativePath>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.ow2.jonas.assemblies</groupId>
  <artifactId>profiles</artifactId>
  <packaging>pom</packaging>
  <name>JOnAS :: Assemblies :: Profiles</name>

  <modules>
    <module>minimal</module>
    <module>full</module>
  </modules>

    <dependencies>
    <!-- - - - - - - - - - - - - - - - - - - - - - -->
    <!-- lib/bootstrap                             -->
    <!-- - - - - - - - - - - - - - - - - - - - - - -->
    <!-- Felix Launcher -->
    <dependency>
      <groupId>org.ow2.jonas.launchers</groupId>
      <artifactId>felix-launcher</artifactId>
      <version>${project.version}</version>
    </dependency>

    <!-- - - - - - - - - - - - - - - - - - - - - - -->
    <!-- lib                                       -->
    <!-- - - - - - - - - - - - - - - - - - - - - - -->
    <!-- JOnAS Commands -->
    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-commands</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-ant-tasks</artifactId>
      <version>${project.version}</version>
    </dependency>

    <!-- - - - - - - - - - - - - - - - - - - - - - -->
    <!-- lib/endorsed                              -->
    <!-- - - - - - - - - - - - - - - - - - - - - - -->

    <!-- Avalon + Logkit -->
    <dependency>
      <groupId>logkit</groupId>
      <artifactId>logkit</artifactId>
    </dependency>
    <dependency>
      <groupId>avalon-framework</groupId>
      <artifactId>avalon-framework</artifactId>
    </dependency>

    <!-- JacORB -->
    <dependency>
      <groupId>org.jacorb</groupId>
      <artifactId>jacorb</artifactId>
    </dependency>
    <dependency>
      <groupId>org.jacorb</groupId>
      <artifactId>jacorb-idl</artifactId>
    </dependency>

    <!-- Carol -->
    <dependency>
      <groupId>org.ow2.carol</groupId>
      <artifactId>carol-iiop-delegate</artifactId>
    </dependency>

    <!-- Xerces / Xalan -->
    <dependency>
      <groupId>xerces</groupId>
      <artifactId>xercesImpl</artifactId>
    </dependency>
    <dependency>
      <groupId>xalan</groupId>
      <artifactId>xalan</artifactId>
    </dependency>
    <dependency>
      <groupId>xml-apis</groupId>
      <artifactId>xml-apis</artifactId>
    </dependency>
    <dependency>
      <groupId>xalan</groupId>
      <artifactId>serializer</artifactId>
    </dependency>

    <!-- Client Bootstrap (Used by JClient and Ant tasks) -->
    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>client-bootstrap</artifactId>
      <version>${project.version}</version>
    </dependency>

    <!-- - - - - - - - - - - - - - - - - - - - - - -->
    <!-- Libraries                                       -->
    <!-- - - - - - - - - - - - - - - - - - - - - - -->
    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-generators-raconfig</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-generators-clientstubs</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-cluster-daemon</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.jonas</groupId>
      <artifactId>jonas-client</artifactId>
      <version>${project.version}</version>
    </dependency>
    <dependency>
      <groupId>org.ow2.util</groupId>
      <artifactId>util-ant-tasks</artifactId>
      <version>${ow2-util-ant-tasks.version}</version>
    </dependency>
    <dependency>
      <groupId>org.apache.cxf</groupId>
      <artifactId>cxf-anttasks</artifactId>
      <version>${cxf.anttasks.version}</version>
      <exclusions>
        <exclusion>
          <groupId>org.apache.cxf</groupId>
          <artifactId>cxf-tools-wsdlto-core</artifactId>
        </exclusion>
        <exclusion>
          <groupId>org.apache.cxf</groupId>
          <artifactId>cxf-tools-java2ws</artifactId>
        </exclusion>
        <exclusion>
          <groupId>ant</groupId>
          <artifactId>ant</artifactId>
        </exclusion>
        <exclusion>
          <groupId>ant</groupId>
          <artifactId>ant-nodeps</artifactId>
        </exclusion>
      </exclusions>
    </dependency>

    <!-- Smart Bootstrap -->
    <dependency>
      <groupId>org.ow2.easybeans</groupId>
      <artifactId>easybeans-component-smartclient</artifactId>
      <version>${easybeans.version}</version>
    </dependency>

    <!-- TODO This dep will be removed when this module will be part of OW JAXB2 Bundle -->
    <dependency>
      <groupId>com.sun.xml.bind</groupId>
      <artifactId>jaxb-xjc</artifactId>
      <version>2.1.12</version>
    </dependency>

    <!-- TLD of Java EE Api -->
    <dependency>
      <groupId>org.ow2.jonas.osgi</groupId>
      <artifactId>javaee-api</artifactId>
      <classifier>tld</classifier>
      <type>jar</type>
      <version>${project.version}</version>
    </dependency>

    <dependency>
      <!-- Interceptor Api (1.1) for CDI service -->
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-interceptor-1.1-spec</artifactId>
      <version>${ow2.spec.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-jpa-2.0-spec</artifactId>
      <version>${ow2.spec.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-servlet-3.0-spec</artifactId>
      <version>${ow2.spec.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-jsp-2.2-spec</artifactId>
      <version>${ow2.spec.version}</version>
    </dependency>

    <dependency>
      <groupId>org.ow2.spec.ee</groupId>
      <artifactId>ow2-el-2.2-spec</artifactId>
      <version>${ow2.spec.version}</version>
    </dependency>


  </dependencies>

  <repositories>

    <repository>
      <id>jboss.release</id>
      <name>JBoss M2 Repository (for Xalan Serializer)</name>
      <url>http://repository.jboss.com/maven2</url>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
      <releases>
        <enabled>true</enabled>
      </releases>
    </repository>
  </repositories>

  <build>
    <plugins>
      <plugin>
        <!-- Before the assembly execution, place the bundles in the appropriate directory-->
        <groupId>org.ow2.util.maven</groupId>
        <artifactId>maven-jbuilding-plugin</artifactId>
        <inherited>true</inherited>
        <configuration>
          <artifactItems combine.children="append">
            <!-- Used only at the client side -->
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-jca-jdbc-glue</artifactId>
              <version>${project.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-jca-scout-glue</artifactId>
              <version>${project.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.juddi</groupId>
              <artifactId>juddi</artifactId>
              <version>${juddi.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.ws.scout</groupId>
              <artifactId>scout</artifactId>
              <version>${scout.version}</version>
              <side>client</side>
            </artifactItem>

            <!-- Adding client bootstrap to client.jar -->
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>client-bootstrap</artifactId>
              <version>${project.version}</version>
              <side>client</side>
            </artifactItem>

            <!-- Adding Bootstrap loader to client.jar -->
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-bootstrap-loader</artifactId>
              <version>${project.version}</version>
              <side>client</side>
            </artifactItem>

            <!-- Adding classes of module jonas-client to client.jar -->
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>jonas-client</artifactId>
              <version>${project.version}</version>
              <side>client</side>
            </artifactItem>

            <!-- Include API of Domain management -->
            <artifactItem>
              <groupId>org.ow2.jonas</groupId>
              <artifactId>mejb</artifactId>
              <version>${project.version}</version>
              <side>client</side>
            </artifactItem>

            <artifactItem>
              <groupId>org.ow2.easybeans</groupId>
              <artifactId>easybeans-injection-api</artifactId>
              <version>${easybeans.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.ow2.easybeans</groupId>
              <artifactId>easybeans-injection-impl</artifactId>
              <version>${easybeans.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.ws.commons.axiom</groupId>
              <artifactId>axiom-dom</artifactId>
              <version>1.2.5</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.axis2</groupId>
              <artifactId>axis2-jaxws</artifactId>
              <version>${axis2.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.axis2</groupId>
              <artifactId>axis2-kernel</artifactId>
              <version>${axis2.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>org.apache.axis2</groupId>
              <artifactId>axis2-metadata</artifactId>
              <version>${axis2.version}</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>commons-codec</groupId>
              <artifactId>commons-codec</artifactId>
              <version>1.3</version>
              <side>client</side>
            </artifactItem>
            <artifactItem>
              <groupId>commons-httpclient</groupId>
              <artifactId>commons-httpclient</artifactId>
              <version>3.0.1</version>
              <side>client</side>
            </artifactItem>
          </artifactItems>

          <!--
            Here are placed all the bundles that you want to be placed in the repositories/maven2-internal directory of
            the assembly.
          -->
          <deploymentPlans>

            <!-- Definition of the bundles for the 'audit system' deployment plan -->
            <deploymentPlan>
              <name>audit</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-audit</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>


            <!-- Definition of the bundles for the 'validation' deployment plan -->
            <deploymentPlan>
              <name>validation</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-bundles-externals-slf4j-jcl</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-validation-hibernate</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>


            <!-- Definition of the bundles for the 'resourcemonitor' deployment plan -->
            <deploymentPlan>
              <name>resourcemonitor</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-resource-monitor</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'wc' deployment plan -->
            <deploymentPlan>
              <name>wc</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-workcleaner</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'depmonitor' deployment plan -->
            <deploymentPlan>
              <name>depmonitor</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-deployable-monitor</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                  <startlevel>3</startlevel>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'irmi' deployment plan -->
            <deploymentPlan>
              <name>irmi</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.carol.irmi</groupId>
                  <artifactId>irmi</artifactId>
                  <version>${irmi.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'sec-interceptors-iiop' deployment plan -->
            <deploymentPlan>
              <name>sec-interceptors-iiop</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-sec-interceptors-iiop</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'jotm' deployment plan -->
            <deploymentPlan>
              <name>jotm</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jotm</groupId>
                  <artifactId>jotm-core</artifactId>
                  <version>${jotm.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'trans-interceptors-iiop' deployment plan -->
            <deploymentPlan>
              <name>trans-interceptors-iiop</name>
              <includes>
                <include>jotm</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-trans-interceptors-iiop</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'jtm' deployment plan -->
            <deploymentPlan>
              <name>jtm</name>
              <includes>
                <include>jotm</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jotm</groupId>
                  <artifactId>jotm-interceptor-jrmp</artifactId>
                  <version>${jotm.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-tm-jotm</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'db' deployment plan -->
            <deploymentPlan>
              <name>db</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-db-base</artifactId>
                  <version>${project.version}</version>
                </artifactItem>

                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-db-hsql</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'dbm' deployment plan -->
            <deploymentPlan>
              <name>dbm</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-dbm</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'mail' deployment plan -->
            <deploymentPlan>
              <name>mail</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-mail</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'wm' deployment plan -->
            <deploymentPlan>
              <name>wm</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-workmanager</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'resource' deployment plan -->
            <deploymentPlan>
              <name>resource</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-resource</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'resource-adapters' deployment plan -->
            <deploymentPlan>
              <name>jdbc-resource-adapters</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-jca-jdbc-cp</artifactId>
                  <version>${project.version}</version>
                  <type>rar</type>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-jca-jdbc-ds</artifactId>
                  <version>${project.version}</version>
                  <type>rar</type>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-jca-jdbc-dm</artifactId>
                  <version>${project.version}</version>
                  <type>rar</type>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-jca-jdbc-xa</artifactId>
                  <version>${project.version}</version>
                  <type>rar</type>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'ow2-util-common-impl' deployment plan -->
            <deploymentPlan>
              <name>ow2-util-common-impl</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-event-impl</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-stream</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-pool-impl</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'lib-ejb2-ha' deployment plan -->
            <deploymentPlan>
              <name>lib-ejb2-ha</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-ejb2.1-ha</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'ha' deployment plan -->
            <deploymentPlan>
              <name>ha</name>
              <includes>
                <include>lib-ejb2-ha</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-ejb-ha</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'jgroups' deployment plan -->
            <deploymentPlan>
              <name>jgroups</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-bundles-externals-annotations</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-bundles-externals-jgroups</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'cmi' deployment plan -->
            <deploymentPlan>
              <name>cmi</name>
              <includes>
                <include>jgroups</include>
                <include>ow2-util-common-impl</include>
                <include>ow2-util-event-common-ejb</include>
                <include>joram</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-component-api</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-component-impl</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.cmi.osgi</groupId>
                  <artifactId>cmi-all</artifactId>
                  <version>${cmi-osgi.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.cmi.osgi</groupId>
                  <artifactId>cmi-loader</artifactId>
                  <version>${cmi-osgi.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-cmi</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'versioning' deployment plan -->
            <deploymentPlan>
              <name>versioning</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-versioning</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'generators-base' deployment plan -->
            <deploymentPlan>
              <name>generators-base</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>eclipse-compiler</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-generators-base</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'ejb2' deployment plan -->
            <deploymentPlan>
              <name>ejb2</name>
              <includes>
                <include>generators-base</include>
                <include>lib-ejb2-ha</include>
                <include>ow2-util-common-impl</include>
                <include>ow2-util-event-common-ejb</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-genic</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-ejb-2.1</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'ejb3' deployment plan -->
            <deploymentPlan>
              <name>ejb3</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-ejb-easybeans</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'easybeans-core' deployment plan -->
            <deploymentPlan>
              <name>easybeans-core</name>
              <includes>
                <include>ow2-util-common-impl</include>
                <include>ow2-util-event-common-ejb</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.easybeans.osgi</groupId>
                  <artifactId>easybeans-component-quartz</artifactId>
                  <version>${easybeans.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.apache.felix</groupId>
                  <artifactId>org.apache.felix.dependencymanager</artifactId>
                  <version>${felix.dependencymanager.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-marshalling</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-ee-metadata-ejbjar-api</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-ee-metadata-ejbjar-impl</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-jmx-impl</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.easybeans.osgi</groupId>
                  <artifactId>easybeans-modules-core</artifactId>
                  <version>${easybeans.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'javassist' deployment plan -->
            <deploymentPlan>
              <name>javassist</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-bundles-externals-javassist</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'easybeans-persistence-hibernate' deployment plan -->
            <deploymentPlan>
              <name>easybeans-persistence-hibernate</name>
              <includes>
                <include>javassist</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-bundles-externals-slf4j-jcl</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.easybeans.osgi</groupId>
                  <artifactId>easybeans-modules-persistence-hibernate-3.4</artifactId>
                  <version>${easybeans.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'easybeans-persistence-hibernate' deployment plan -->
            <deploymentPlan>
              <name>easybeans-persistence-hibernate3.5</name>
              <includes>
                <include>javassist</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-bundles-externals-slf4j-jcl</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.easybeans.osgi</groupId>
                  <artifactId>easybeans-modules-persistence-hibernate-3.5</artifactId>
                  <version>${easybeans.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'easybeans-persistence-eclipselink' deployment plan -->
            <deploymentPlan>
              <name>easybeans-persistence-eclipselink</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.easybeans.osgi</groupId>
                  <artifactId>easybeans-modules-persistence-eclipselink-1.x</artifactId>
                  <version>${easybeans.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'easybeans-persistence-eclipselink v2' deployment plan -->
            <deploymentPlan>
              <name>easybeans-persistence-eclipselink2</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.easybeans.osgi</groupId>
                  <artifactId>easybeans-modules-persistence-eclipselink-2.x</artifactId>
                  <version>${easybeans.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'easybeans-persistence-openjpa2' deployment plan -->
            <deploymentPlan>
              <name>easybeans-persistence-openjpa</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.easybeans.osgi</groupId>
                  <artifactId>easybeans-modules-persistence-openjpa-1.x</artifactId>
                  <version>${easybeans.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'easybeans-persistence-openjpa2' deployment plan -->
            <deploymentPlan>
              <name>easybeans-persistence-openjpa2</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.easybeans.osgi</groupId>
                  <artifactId>easybeans-modules-persistence-openjpa-2.x</artifactId>
                  <version>${easybeans.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'web-base' deployment plan -->
            <deploymentPlan>
              <name>web-base</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.osgi</groupId>
                  <artifactId>org.osgi.compendium</artifactId>
                  <version>${osgi.compendium.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-web-container-base</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'web-tomcat6' deployment plan -->
            <deploymentPlan>
              <name>web-tomcat6</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-web-container-tomcat-6.0</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'web-tomcat6' deployment plan -->
            <deploymentPlan>
              <name>web-tomcat7</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-web-container-tomcat-7.0</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'web-jetty6' deployment plan -->
            <deploymentPlan>
              <name>web-jetty6</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.mortbay.jetty</groupId>
                  <artifactId>jetty-util</artifactId>
                  <version>${jetty.version}</version>
                  <side>server</side>
                </artifactItem>
                <artifactItem>
                  <groupId>org.mortbay.jetty</groupId>
                  <artifactId>jetty</artifactId>
                  <version>${jetty.version}</version>
                  <side>server</side>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-web-container-jetty-6.1</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                  <side>server</side>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'jaxws-base' deployment plan -->
            <deploymentPlan>
              <name>jaxws-base</name>
              <includes>
                <include>saaj-ri</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-annotation-processor</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <!-- Needs to be on both sides -->
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-ee-builder-webservice</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-webservices-jaxws</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas.osgi</groupId>
                  <artifactId>neethi</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas.osgi</groupId>
                  <artifactId>woodstox</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'jaxws-cxf' deployment plan -->
            <deploymentPlan>
              <name>jaxws-cxf</name>
              <artifactItems>
                <!-- Spring needs commons-collections + commons-attributes -->
                <artifactItem>
                  <groupId>org.apache.commons</groupId>
                  <artifactId>com.springsource.org.apache.commons.collections</artifactId>
                  <version>3.2.0</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.apache.commons</groupId>
                  <artifactId>com.springsource.org.apache.commons.pool</artifactId>
                  <version>1.5.3</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.apache.commons</groupId>
                  <artifactId>com.springsource.org.apache.commons.attributes</artifactId>
                  <version>2.2.0</version>
                </artifactItem>
                <artifactItem>
                  <!-- XmlSchema is already a bundle -->
                  <groupId>org.apache.ws.commons.schema</groupId>
                  <artifactId>XmlSchema</artifactId>
                  <version>1.4.5</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.apache.xml</groupId>
                  <artifactId>com.springsource.org.apache.xml.resolver</artifactId>
                  <version>1.2.0</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas.osgi</groupId>
                  <artifactId>asm</artifactId>
                  <version>${project.version}</version>
                  <side>server</side>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-bundles-externals-slf4j-jdk14</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.springframework</groupId>
                  <artifactId>spring</artifactId>
                  <version>${spring.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.apache.cxf</groupId>
                  <artifactId>cxf-bundle</artifactId>
                  <version>${cxf.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-webservices-cxf</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'jaxws-axis2' deployment plan -->
            <deploymentPlan>
              <name>jaxws-axis2</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-webservices-axis2</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                  <side>server</side>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'jaxrpc-base' deployment plan -->
            <deploymentPlan>
              <name>jaxrpc-base</name>
              <includes>
                <include>saaj-ri</include>
                <include>generators-base</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas.osgi</groupId>
                  <artifactId>ws-security</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-webservices-jaxrpc</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'saaj-ri' deployment plan -->
            <deploymentPlan>
              <name>saaj-ri</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas.osgi</groupId>
                  <artifactId>saaj-ri</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'xmlbeans' deployment plan -->
            <deploymentPlan>
              <name>xmlbeans</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas.osgi</groupId>
                  <artifactId>xmlbeans</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'jaxrpc-axis' deployment plan -->
            <deploymentPlan>
              <name>jaxrpc-axis</name>
              <includes>
                <include>xmlbeans</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-generators-wsgen</artifactId>
                  <version>${project.version}</version>
                  <start>false</start>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-webservices-axis</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'ear' deployment plan -->
            <deploymentPlan>
              <name>ear</name>
              <includes>
                <include>generators-base</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-generators-clientstubs</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-ear</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                  <startlevel>2</startlevel>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'discovery-base' deployment plan -->
            <deploymentPlan>
              <name>discovery-base</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-discovery-base</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'discovery-internal' deployment plan -->
            <deploymentPlan>
              <name>discovery-internal</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-discovery-multicast</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'discovery-jgroups' deployment plan -->
            <deploymentPlan>
              <name>discovery-jgroups</name>
              <includes>
                <include>jgroups</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-discovery-jgroups</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'smartclient' deployment plan -->
            <deploymentPlan>
              <name>smartclient</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-smartclient</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Common utils for ejb events -->
            <deploymentPlan>
              <name>ow2-util-event-common-ejb</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-util-ee-event</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- WSDL Publisher Component -->
            <deploymentPlan>
              <name>wsdl-publisher</name>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-webservices-publish</artifactId>
                  <version>${project.version}</version>
                  <classifier>ipojo</classifier>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Deployment plans for applications-->
            <deploymentPlan>
              <name>ctxroot</name>
              <directory>deploy</directory>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-ctxroot</artifactId>
                  <version>${project.version}</version>
                  <type>war</type>
                  <side>server</side>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>
            <deploymentPlan>
              <name>doc</name>
              <directory>deploy</directory>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas.documentation</groupId>
                  <artifactId>jonas-doc-en</artifactId>
                  <version>${jonas-doc.version}</version>
                  <type>war</type>
                  <side>server</side>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>
            <deploymentPlan>
              <name>jonasAdmin</name>
              <directory>deploy</directory>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-management-api</artifactId>
                  <version>${project.version}</version>
                  <side>server</side>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-management-extensions</artifactId>
                  <version>${project.version}</version>
                  <side>server</side>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-admin</artifactId>
                  <version>${project.version}</version>
                  <type>war</type>
                  <side>server</side>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>
            <deploymentPlan>
              <name>joram</name>
              <directory>deploy</directory>
              <artifactItems>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>a3-common</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>a3-rt</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>jcup</artifactId>
                  <version>${joram.jcup.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>jndi-shared</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>jndi-server</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>joram-shared</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>joram-mom-core</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>jndi-client</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>joram-client-jms</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>joram-client-jca</artifactId>
                  <version>${joram.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-audit-jms</artifactId>
                  <version>${project.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.objectweb.joram</groupId>
                  <artifactId>joram-jca-jonas</artifactId>
                  <version>${joram.version}</version>
                  <type>rar</type>
                  <side>server</side>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>
            <deploymentPlan>
              <name>mejb</name>
              <directory>deploy</directory>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>mejb</artifactId>
                  <version>${project.version}</version>
                  <side>server</side>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>
            <deploymentPlan>
              <name>scout</name>
              <directory>deploy</directory>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-jca-scout-rar</artifactId>
                  <version>${project.version}</version>
                  <type>rar</type>
                  <side>server</side>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

            <!-- Definition of the bundles for the 'cdi' deployment plan -->
            <deploymentPlan>
              <name>cdi</name>
              <includes>
                <include>javassist</include>
              </includes>
              <artifactItems>
                <artifactItem>
                  <groupId>org.ow2.bundles</groupId>
                  <artifactId>ow2-bundles-externals-weld</artifactId>
                  <version>${ow2-bundles.version}</version>
                </artifactItem>
                <artifactItem>
                  <groupId>org.ow2.jonas</groupId>
                  <artifactId>jonas-cdi-weld</artifactId>
                  <classifier>ipojo</classifier>
                  <version>${project.version}</version>
                </artifactItem>
              </artifactItems>
            </deploymentPlan>

          </deploymentPlans>
        </configuration>
      </plugin>
    </plugins>
  </build>

</project>
